securityBaselineTemplate の更新

名前空間: microsoft.graph

重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

securityBaselineTemplate オブジェクトのプロパティを更新します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) DeviceManagementConfiguration.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All

HTTP 要求

PATCH /deviceManagement/templates/{deviceManagementTemplateId}
PATCH /deviceManagement/templates/{deviceManagementTemplateId}/migratableTo/{deviceManagementTemplateId}

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で 、securityBaselineTemplate オブジェクトの JSON 表記を指定します。

次の表に 、securityBaselineTemplate を作成するときに必要なプロパティを示します

プロパティ 説明
id String deviceManagementTemplate から継承されたテンプレート ID
displayName String テンプレートの表示名deviceManagementTemplateから継承
description String テンプレートの説明deviceManagementTemplateから継承
versionInfo String テンプレートのバージョン情報 deviceManagementTemplate から継承
isDeprecated Boolean テンプレートは非推奨か、非推奨です。 非推奨のテンプレートからインテントを作成することはできません。 deviceManagementTemplate から継承
intentCount Int32 このテンプレートから作成されたインテントの数。 deviceManagementTemplate から継承
templateType deviceManagementTemplateType テンプレートの種類。 deviceManagementTemplate から継承されます。 可能な値は、securityBaselinespecializedDevicesadvancedThreatProtectionSecurityBaselinedeviceConfigurationcustomsecurityTemplatemicrosoftEdgeSecurityBaselinemicrosoftOffice365ProPlusSecurityBaselinedeviceCompliancedeviceConfigurationForOffice365cloudPCfirewallSharedSettings です。
platformType policyPlatformType テンプレートのプラットフォーム。 deviceManagementTemplate から継承されます。 可能な値は、androidandroidForWorkiOSmacOSwindowsPhone81windows81AndLaterwindows10AndLaterandroidWorkProfilewindows10XProfileall です。
templateSubtype deviceManagementTemplateSubtype テンプレートのサブタイプ。 deviceManagementTemplate から継承されます。 可能な値は、nonefirewalldiskEncryptionattackSurfaceReductionendpointDetectionReponseaccountProtectionantivirusfirewallSharedAppListfirewallSharedIpListfirewallSharedPortlist です。
publishedDateTime DateTimeOffset テンプレートが発行された場合 DeviceManagementTemplate から継承

応答

成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された securityBaselineTemplate オブジェクトを返します。

要求

以下は、要求の例です。

PATCH https://graph.microsoft.com/beta/deviceManagement/templates/{deviceManagementTemplateId}
Content-type: application/json
Content-length: 405

{
  "@odata.type": "#microsoft.graph.securityBaselineTemplate",
  "displayName": "Display Name value",
  "description": "Description value",
  "versionInfo": "Version Info value",
  "isDeprecated": true,
  "intentCount": 11,
  "templateType": "specializedDevices",
  "platformType": "androidForWork",
  "templateSubtype": "firewall",
  "publishedDateTime": "2016-12-31T23:58:16.1180489-08:00"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 454

{
  "@odata.type": "#microsoft.graph.securityBaselineTemplate",
  "id": "3f61d4c2-d4c2-3f61-c2d4-613fc2d4613f",
  "displayName": "Display Name value",
  "description": "Description value",
  "versionInfo": "Version Info value",
  "isDeprecated": true,
  "intentCount": 11,
  "templateType": "specializedDevices",
  "platformType": "androidForWork",
  "templateSubtype": "firewall",
  "publishedDateTime": "2016-12-31T23:58:16.1180489-08:00"
}